<template>
  <div id="app" @click="updateLastTime()" @keyup="updateLastTime()"  @mousemove="updateLastTime()">   
    <router-view v-if="isRouterAlive"/>
  </div>
</template>
<script>
export default {
  provide(){
    return{
      reload:this.reload
    }
  },
  data(){
    return{
      isRouterAlive:true
    }
  },
  methods:{
    reload(){
      this.isRouterAlive = false;
      this.$nextTick(() => {
        this.isRouterAlive = true;
      })
    },
    updateLastTime(){
      //  console.log('lock...')
       this.$store.commit('SET_LASTTIME',new Date().getTime())//全局触发点击事件--获取最后一次时间
    }
  }
}
</script>

<style lang="scss">
body{
  height: 100%;
}
#app {
  height: 100%;
}
.el-tabs--left .el-tabs__header.is-left{margin-right: 20px!important;}
.el-table td.el-table__cell .list{display: flex;} //视图表格,附件左右布局
.el-table td.el-table__cell .el-progress-bar__innerText{font-size: 12px!important;width: 100%; text-indent: 5px;text-align: left;}
.el-progress-bar__outer{background: #EBEEF5!important;}
.colorGray .el-progress-bar__innerText{color: #000;}
.el-table th.el-table__cell>.cell{display: flex!important;align-items: center!important;justify-content: center;}//视图标头加个排序图标不要换行

.el-tree-node__expand-icon{font-size: 20px!important;}//机构树左边箭头大小修改

.systemNoticeBox{line-height: 24px;}

.el-message.el-message--warning{z-index: 999992!important;}//监管归属，弹窗层级修改为高一级
.el-radio__input.is-disabled.is-checked .el-radio__inner::after{background: #333 !important;}
</style>
<style lang="css">
@import url("assets/css/module/obpm.css");
</style>
